#ifndef _SCRIPT_HPP_
#define _SCRIPT_HPP_
#include "msg.hpp"

typedef enum { 
   SS_NOTDEF, SS_OK, SS_ERROR, SS_FALSE
} ScrRet;

int _LoadScriptFile(char *fname);
void PrepareMsgForScript(cMSG &sm);
int ScriptWordExists(char *word);
int InitScriptSystem(void);
void InitScriptValues(void);
int StopScriptSystem(void);
ScrRet DoSomeWord(char *word);
ScrRet DoSomeWordRc(char *word);
ScrRet DoThisWord(char *word);
ScrRet DoThisWordRc(char *word);

/* definitions for FTrack errors */
#define FTR_OUTOFRANGE	 -400

#endif
